ATA_SCSI_OFFLINE_DEV(9)

NAME
ata_scsi_offline_dev - offline attached SCSI device

SYNOPSIS

int ata_scsi_offline_dev(struct ata_device * dev);

ARGUMENTS

dev
    ATA device to offline attached SCSI device for

DESCRIPTION

This function is called from ata_eh_hotplug and responsible for taking the SCSI device attached to dev offline. This function is called with host lock which protects dev->sdev against clearing.

LOCKING

spin_lock_irqsave(host lock)

RETURNS

1 if attached SCSI device exists, 0 otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT